Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iplan
Class PlanTestDefaults

    java.lang.Object
      ix.iplan.PlanTest
          ix.iplan.PlanTestDefaults

All Implemented Interfaces:
  java.io.Serializable

    public class PlanTestDefaults

extends PlanTest

Specifies default values for PlanTests. If an instance of this class appears in a list of PlanTests given to an `AutoTester`, the AutoTester will use this instance to supply default values to later tests in the same list. That happens via the TestRunner returned by the `makeTestRunner(AutoTester)` method.

See Also:
  Serialized Form

Field Summary

Fields inherited from class ix.iplan.PlanTest
`domain, initialPlan, isExhaustive, plans, randomSimulations, stepLimit, task`

Constructor Summary
`PlanTestDefaults()`

Method Summary
`AutoTester.TestRunner` | `makeTestRunner(AutoTester auto)` Returns a TestRunner that tells the AutoTester to use this PlanTest for default values.
`(package private) void` | `takeDefaults(PlanTest defaults)` Takes field values from the specified PlanTest which will usually be an instance of `PlanTestDefaults`.
`java.lang.String` | `testDescription()` Returns a short textual description of this test.

Methods inherited from class ix.iplan.PlanTest
`getDomain, getInitialPlan, getIsExhaustive, getPlans, getRandomSimulations, getStepLimit, getTask, setDomain, setInitialPlan, setIsExhaustive, setPlans, setRandomSimulations, setStepLimit, setTask, taskDescription, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PlanTestDefaults

    public PlanTestDefaults()

Method Detail

### takeDefaults

    void takeDefaults(PlanTest defaults)

  Description copied from class: `PlanTest`
  Takes field values from the specified PlanTest which will usually be an instance of `PlanTestDefaults`. Only some fields can be defaulted; currently they are `PlanTest.domain`, `PlanTest.randomSimulations`, and `PlanTest.stepLimit`.

  Overrides:
    `takeDefaults` in class `PlanTest`
  Throws:
    `java.lang.UnsupportedOperationException` - if called.

### makeTestRunner

    public AutoTester.TestRunner makeTestRunner(AutoTester auto)

  Returns a TestRunner that tells the AutoTester to use this PlanTest for default values.

  Overrides:
    `makeTestRunner` in class `PlanTest`
  See Also:
    `PlanTest.takeDefaults(PlanTest)`

### testDescription

    public java.lang.String testDescription()

  Description copied from class: `PlanTest`
  Returns a short textual description of this test. It should include the domain name and a description of the task or problem. Examples:

         Domain duplicate-effect-test, Task test1
         Domain blocks-pure-htn-1, Problem ca,b-abc

  The method defined by the PlanTest class calls `PlanTest.getDomain()` and `PlanTest.taskDescription()`.

  Overrides:
    `testDescription` in class `PlanTest`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD